package io.zipcoder.casino;


import java.util.Scanner;

public class Casino {
    public static void main(String[] args) {

//        Deck myDeck = new Deck(1, false);
//        myDeck.printDeck(24);

        //Initiate
        Scanner keyword = new Scanner(System.in);
        Deck theDeck = new Deck(1, true);
        //String key = keyword.nextLine();

        //initiate the player object
        Player me = new Player("Player");
        Player dealer = new Player("Dealer");

        me.addCard(theDeck.dealNextCard());
        dealer.addCard(theDeck.dealNextCard());
        me.addCard(theDeck.dealNextCard());
        dealer.addCard(theDeck.dealNextCard());

        //print initial hands
        System.out.println("WELCOME TO THE BLACKJACK GAME!\n");
        me.printHand(true);
        dealer.printHand(false);
        System.out.println("\n");

        //flags for when each player is finished hitting
        boolean meDone = false;
        boolean dealerDone = false;
        String ans;

        while (!meDone || !dealerDone){
            //players turn
            if (!meDone){
                System.out.print("Hit or Stay? (Enter H or S): ");
                ans = keyword.next();
                System.out.println();

                if (ans.compareToIgnoreCase("H") == 0){
                    //add next card in the deck and store weather player is busted
                    meDone = !me.addCard(theDeck.dealNextCard());
                    me.printHand(true);
                } else {
                    meDone = true;
                }
            }

            if (!dealerDone){
                if (dealer.getHandSum() < 17){
                    System.out.println("The Dealer hits\n");
                    dealerDone = !dealer.addCard(theDeck.dealNextCard());
                    dealer.printHand(false);
                } else {
                    System.out.println("The Dealer stays\n");
                    dealerDone = true;
                }
            }

            System.out.println();
        }

        keyword.close();
        me.printHand(true);
        dealer.printHand(true);

        int mySum = me.getHandSum();
        int dealerSum = dealer.getHandSum();

        if(mySum > dealerSum && mySum <= 21 || dealerSum > 21){
            System.out.println("You win!");
        } else {
            System.out.println("You loose!");
        }
    }
}
