package io.zipcoder.casino;

public class Card {
    private Suits suit;
    private int rank;
    private int myNumber;

    public Card(Suits suit, int myNumber) {
        this.suit = suit;

        if (myNumber >= 1 && myNumber <= 13) {
            this.myNumber = myNumber;
        } else {

            System.err.println(myNumber+ " is not a valid Card number");
            System.exit(1);
        }
    }

    public Card(Suits suit, Rank Rank) {
        this.rank = rank;
    }

      public int getRank() {
        return myNumber;
    }

    public int getNumber() {
        return myNumber;
    }

    public int getValue() {
        //return (int) Rank.getPrimaryValue();
        return 0;
    }

    @Override
    public String toString() {

        String numStr = "Error";

        switch (this.myNumber) {
            case 2:
                numStr = "Two";
                break;
            case 3:
                numStr = "Three";
                break;
            case 4:
                numStr = "Four";
                break;
            case 5:
                numStr = "Five";
                break;
            case 6:
                numStr = "Six";
                break;
            case 7:
                numStr = "Seven";
                break;
            case 8:
                numStr = "Eight";
                break;
            case 9:
                numStr = "Nine";
                break;
            case 10:
                numStr = "Ten";
                break;
            case 11:
                numStr = "Jack";
                break;
            case 12:
                numStr = "Queen";
                break;
            case 13:
                numStr = "King";
                break;
            case 1:
                numStr = "Ace";
                break;

        }
        return numStr + " of " + suit.toString();
    }

    public Suits getSuits() {
        return suit;
    }
}

