package io.zipcoder.casino.java;

import io.zipcoder.casino.Card;
import io.zipcoder.casino.Rank;
import io.zipcoder.casino.Suits;
import org.junit.Assert;
import org.junit.Test;

public class CardTest {
//    @Test
//    public void testConstructors() {
//        Card aceOfSpades = new Card(Suits.SPADE, Rank.ACE);
//        int expected = 11;
//        int actual = (aceOfSpades.getRank().getSecondaryValue());
//        Assert.assertEquals(expected, actual);
//
//        Card TwoOfSpades = new Card(Suits.HEART, Rank.TWO);
//        expected = 2;
//        actual = (TwoOfSpades.getRank().getPrimaryValue());
//        Assert.assertEquals(expected, actual);
//
//        Card ThreeOfSpades = new Card(Suits.HEART, Rank.THREE);
//        expected = 3;
//        actual = (ThreeOfSpades.getRank().getPrimaryValue());
//        Assert.assertEquals(expected, actual);
//
//        Card FourOfSpades = new Card(Suits.CLUB, Rank.FOUR);
//        expected = 4;
//        actual = (FourOfSpades.getRank().getPrimaryValue());
//        Assert.assertEquals(expected, actual);
//
//        Card FiveOfSpades = new Card(Suits.CLUB, Rank.FIVE);
//        expected = 5;
//        actual = (FiveOfSpades.getRank().getPrimaryValue());
//        Assert.assertEquals(expected, actual);
//
//        Card SixOfSpades = new Card(Suits.DIAMOND, Rank.SIX);
//        expected = 6;
//        actual = (SixOfSpades.getRank().getPrimaryValue());
//        Assert.assertEquals(expected, actual);
//
//        Card SevenOfSpades = new Card(Suits.DIAMOND, Rank.SEVEN);
//        expected = 7;
//        actual = (SevenOfSpades.getRank().getPrimaryValue());
//        Assert.assertEquals(expected, actual);
//
//        Card EightOfSpades = new Card(Suits.DIAMOND, Rank.EIGHT);
//        expected = 8;
//        actual = (EightOfSpades.getRank().getPrimaryValue());
//        Assert.assertEquals(expected, actual);
//
//        Card NineOfSpades = new Card(Suits.HEART, Rank.NINE);
//        expected = 9;
//        actual = (NineOfSpades.getRank().getPrimaryValue());
//        Assert.assertEquals(expected, actual);
//
//        Card TenOfSpades = new Card(Suits.HEART, Rank.TEN);
//        expected = 10;
//        actual = (TenOfSpades.getRank().getPrimaryValue());
//        Assert.assertEquals(expected, actual);
//
//        Card JackOfSpades = new Card(Suits.SPADE, Rank.JACK);
//        expected = 10;
//        actual = (JackOfSpades.getRank().getPrimaryValue());
//        Assert.assertEquals(expected, actual);
//
//        Card QueenOfSpades = new Card(Suits.SPADE, Rank.QUEEN);
//        expected = 10;
//        actual = (QueenOfSpades.getRank().getPrimaryValue());
//        Assert.assertEquals(expected, actual);
//
//        Card KingOfSpades = new Card(Suits.SPADE, Rank.KING);
//        expected = 10;
//        actual = (KingOfSpades.getRank().getPrimaryValue());
//        Assert.assertEquals(expected, actual);
//    }

    @Test
    public void testGetSuit() {
        //Given
        Card card = new Card(Suits.HEART, Rank.TEN);
        Suits expected = Suits.HEART;

        //When
        Suits actual = card.getSuits();

        //Then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testGetRank() {
        //Given
        Card card = new Card(Suits.HEART, Rank.TEN);
        Rank expected = Rank.TEN;

        //When
        int actual = card.getRank();

        //Then
        Assert.assertEquals(expected, actual);
    }

    @Test
    public void testGetValue() {
        //Given
        Card card = new Card(Suits.HEART, Rank.TEN);
        Integer expected = 10;

        //When
        Integer actual = card.getValue();

        //Then
        Assert.assertEquals(expected, actual);
    }
}
